Package com.omnisci.jdbc

## Class OmniSciArray

- java.lang.Object
- - com.omnisci.jdbc.OmniSciArray

All Implemented Interfaces:
  `Array`

    public class OmniSciArray
    extends Object
    implements Array

### Constructor Summary

Constructors
`OmniSciArray​(TDatumType type, Object[] elements)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `free()`
`Object` `getArray()`
`Object` `getArray​(long start, int size)`
`Object` `getArray​(long start, int size, Map<String,​Class<?>> map)`
`Object` `getArray​(Map<String,​Class<?>> map)`
`int` `getBaseType()`
`String` `getBaseTypeName()`
`ResultSet` `getResultSet()`
`ResultSet` `getResultSet​(long start, int size)`
`ResultSet` `getResultSet​(long start, int size, Map<String,​Class<?>> map)`
`ResultSet` `getResultSet​(Map<String,​Class<?>> map)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OmniSciArray

    public OmniSciArray​(TDatumType type,
                        Object[] elements)
                 throws SQLException

Throws:
  `SQLException`

### Method Detail

#### getBaseTypeName

    public String getBaseTypeName()
                           throws SQLException

Specified by:
  `getBaseTypeName` in interface `Array`
Throws:
  `SQLException`

#### getBaseType

    public int getBaseType()
                    throws SQLException

Specified by:
  `getBaseType` in interface `Array`
Throws:
  `SQLException`

#### getArray

    public Object getArray()
                    throws SQLException

Specified by:
  `getArray` in interface `Array`
Throws:
  `SQLException`

#### getArray

    public Object getArray​(long start,
                           int size)
                    throws SQLException

Specified by:
  `getArray` in interface `Array`
Throws:
  `SQLException`

#### getResultSet

    public ResultSet getResultSet()
                           throws SQLException

Specified by:
  `getResultSet` in interface `Array`
Throws:
  `SQLException`

#### getResultSet

    public ResultSet getResultSet​(long start,
                                  int size)
                           throws SQLException

Specified by:
  `getResultSet` in interface `Array`
Throws:
  `SQLException`

#### free

    public void free()
              throws SQLException

Specified by:
  `free` in interface `Array`
Throws:
  `SQLException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getResultSet

    public ResultSet getResultSet​(long start,
                                  int size,
                                  Map<String,​Class<?>> map)
                           throws SQLException

Specified by:
  `getResultSet` in interface `Array`
Throws:
  `SQLException`

#### getResultSet

    public ResultSet getResultSet​(Map<String,​Class<?>> map)
                           throws SQLException

Specified by:
  `getResultSet` in interface `Array`
Throws:
  `SQLException`

#### getArray

    public Object getArray​(long start,
                           int size,
                           Map<String,​Class<?>> map)
                    throws SQLException

Specified by:
  `getArray` in interface `Array`
Throws:
  `SQLException`

#### getArray

    public Object getArray​(Map<String,​Class<?>> map)
                    throws SQLException

Specified by:
  `getArray` in interface `Array`
Throws:
  `SQLException`